<?php
/**
 * Question Add page
 *
 * This page allows the creators of the game to add questions to the bank in
 * the database.  It takes input from question_add.php via $_POST.  It doesn't
 * really check the validity of the data entered, so it is a bit of a security
 * risk, but we won't worry about it as this is not a high-security application.
 * @package The_Theologian_Game
 * @author Andrew D. Goetz
 * @copyright  Andrew D. Goetz
 * @license http://creativecommons.org/licenses/by-sa/2.5/legalcode
 */

//Disable this page for the time being:
exit();

/**
 * Every page must load the session so that everything works correctly
 */
include ('includes/session.php');

// Test to see if it has what we need
if ($_POST['question'] == '' || 
	$_POST['answers'][1]['answer'] == '') {
	
	header("Location: question_add.php");
	$_SESSION['feedback'] = '<p class="warn">The basic info wasnt there.  Try again.</p>';
	exit();
} // end check of the needed data

// Create the first SQL statement
$sql = "INSERT INTO questions (question, class, difficulty, image)
		VALUES ('" . pg_escape_string($_POST['question']) . "',
				'" . pg_escape_string($_POST['class']) . "',
				'" . pg_escape_string($_POST['difficulty']) . "',
				'" . pg_escape_string($_POST['image']) . "')";
$insert = pg_query($_SCRIPT['database'], $sql);
if (!$insert) {
	header("Location: question_add.php");
	$_SESSION['feedback'] = '<p class="warn">For some reason, it didnt work, sorry.</p>';
	exit();
} // end giving up if the first didn't work
// Find the last Question's ID
$sql = "SELECT id
		FROM questions 
		WHERE question = '" . pg_escape_string($_POST['question']) . "'
		  AND class = '" . pg_escape_string($_POST['class']) . "'
		  AND difficulty = '" . pg_escape_string($_POST['difficulty']) . "'
		  AND image = '" . pg_escape_string($_POST['image']) . "'
		ORDER BY date_entered DESC
		LIMIT 1";
$select = pg_query($_SCRIPT['database'], $sql);
$row = pg_fetch_array($select, 0, PGSQL_ASSOC);
$question_id = $row['id'];
// Add the answers
$success = true;
foreach ($_POST['answers'] as $key=>$answer) {
	if ($answer['answer'] != '') {
		$sql = "INSERT INTO answers (question, answer, is_correct, answer_order)
				VALUES ('" . pg_escape_string($question_id) . "',
						'" . pg_escape_string($answer['answer']) . "',
						'" . pg_escape_string($answer['is_correct']) . "',
						'" . pg_escape_string((int) $answer['order']) . "')";
		$insert = pg_query($_SCRIPT['database'], $sql);
		if (!$insert) $success = false;
	} // end check if there is an answer
} // end addition of each answer
if ($success) $_SESSION['feedback'] = '<p class="alert">Looks like it added successfully.</p>';
else $_SESSION['feedback'] = '<p class="warn">Looks like something went wrong.  You should contact Andrew about this.</p>';
header("Location: question_add.php");
exit();
