<?php
/**
 * Get all current questions and output them as SQL
 *
 * @package The_Theologian_Game
 * @author Andrew D. Goetz
 * @copyright  Andrew D. Goetz
 * @license http://creativecommons.org/licenses/by-sa/2.5/legalcode
 */

ini_set("memory_limit", "100M");

/**
 * Every page must load the session so that everything works correctly
 */
include ('includes/session.php');

// Add some content
$content = "<h1>Questions</h1>\r\n";
$sql = "SELECT id,
			   question,
			   class,
			   difficulty,
			   image
		FROM questions
		ORDER BY id";
$select = pg_query($_SCRIPT['database'], $sql);
$count = pg_num_rows($select);
for($iterate = 0; $iterate < $count; $iterate++) {
	$row = pg_fetch_array($select, $iterate, PGSQL_ASSOC);
	$content .= "<p>INSERT INTO questions (question, class, difficulty, image)<br />
VALUES ('" . pg_escape_string($row['question']) . "',
		'" . pg_escape_string($row['class']) . "',
		'" . pg_escape_string($row['difficulty']) . "',
		'" . pg_escape_string($row['image']) . "');<br />\r\n";
	// Now get all the answers
	$sql = "SELECT id,
				   question,
				   answer,
				   is_correct,
				   answer_order
			FROM answers
			WHERE question = '" . pg_escape_string($row['id']) . "'
			ORDER BY answer_order";
	$select2 = pg_query($_SCRIPT['database'], $sql);
	$count2 = pg_num_rows($select2);
	for($iterate2 = 0; $iterate2 < $count2; $iterate2++) {
		$row2 = pg_fetch_array($select2, $iterate2, PGSQL_ASSOC);
		$content .= "INSERT INTO answers (question, answer, is_correct, answer_order)<br />
VALUES ((SELECT id FROM questions WHERE question = '" . pg_escape_string($row['question']) . "' ORDER BY date_entered DESC LIMIT 1),
		'" . pg_escape_string($row2['answer']) . "',
		'" . pg_escape_string($row2['is_correct']) . "',
		'" . pg_escape_string($row2['answer_order']) . "');<br />\r\n";
	} // end output of all answers

	$content .= "</p><p></p>";
} // end walk through the top theologians
// Add the content to the page
$_SCRIPT['page']->setContent($content);
// Output the page
$_SCRIPT['page']->outputPage();
