<?php
/**
 * Start Page
 *
 * After the user defines their character, they come to this page.  It provides
 * them a quick explanation of the game and allows them to select which of the
 * three main quests upon which to embark.
 * @package The_Theologian_Game
 * @author Andrew D. Goetz
 * @copyright  Andrew D. Goetz
 * @license http://creativecommons.org/licenses/by-sa/2.5/legalcode
 */

/**
 * Every page must load the session so that everything works correctly
 */
include ('includes/session.php');

$content = "<h1>Start Your Quest</h1>\r\n";

// Add some content
$content .= '<table cellpadding="0" cellspacing="0" id="layout_page">
	<tr>
		<td id="layout_graphic">
			<img src="images/master_theologian.jpg" alt="The Master Theologian" border="0" />
		</td>
		<td id="layout_question">
			<p>Having declared yourself too the Master Theologian, you meekly 
				enter the room where he sits.  He is not an imposing figure, but
				you have heard of his wisdom and his wit, and you can only stand
				in awe as he addresses you.</p>
			<p>&ldquo;So, you want to be a theologian of the Order of Holsteen?
				The path you have chosen is not an easy one.  You will face many
				trials and snares.  However, if you have studied your notes well,
				you may make it through alive.&rdquo;</p>
			<p>&ldquo;In order to achieve your goal, I must send you on three
				quests.  At the end of each quest, you will meet another Master
				Theologian, who will present you with a metal to prove that you 
				have completed all of his trials.  Once you have completed all
				three quests, you must face the Inquisition; where you must 
				not only have the right answers, but you must also explain
				yourself.</p>
			<p>&ldquo;Do not worry yourself about that how.  It is time for you
				to choose your first quest.  Choose wisely!  If you fail more
				than 5 trials on any one quest, you will return here, and have
				to start that quest over again.</p>
			<p>&ldquo;G-d Speed!&rdquo;</p>
			<form action="start_process.php" method="post" name="start">
				<fieldset>
					<legend>Quests</legend>
					<div>
						<input type="radio" name="quest" id="quest_angelology" value="angelology" ';
if ($_SESSION['player']->metals['angelology']) $content .= " disabled='disabled' ";
$content .= '/>
						<label for="quest_angelology">Angelology</label>
					</div>
					<div>
						<input type="radio" name="quest" id="quest_anthropology" value="anthropology" ';
if ($_SESSION['player']->metals['anthropology']) $content .= " disabled='disabled' ";
$content .= '/>
						<label for="quest_anthropology">Anthropology</label>
					</div>
					<div>
						<input type="radio" name="quest" id="quest_hamartiology" value="hamartiology" ';
if ($_SESSION['player']->metals['hamartiology']) $content .= " disabled='disabled' ";
$content .= '/>
						<label for="quest_hamartiology">Harmartiology</label>
					</div>';
if ($_SESSION['player']->metals['angelology'] &&
	$_SESSION['player']->metals['anthropology'] &&
	$_SESSION['player']->metals['hamartiology']) {
	$content .= "\t\t\t\t\t". '<div>
						<input type="radio" name="quest" id="quest_inquisition" value="inquisition" />
						<label for="quest_inquisition">Inquisition</label>
					</div>' . "\r\n";
} // end addition of inquisition, if it's time
$content .= "\t\t\t\t\t" . '<div>
						<input type="submit" name="submit" id="submit" value="Start Your Quest" />
					</div>
				</fieldset>
			</form>
		</td>
	</tr>
	<tr>
		<td id="layout_score">
			' . $_SESSION['player']->toScore() . '
			<img src="' . $_SESSION['player']->getAvatar() . '" alt="" border="0" /><br />
			' . $_SESSION['player']->getName() . '
		</td>
		<td id="layout_map">
			<img src="images/map_start.jpg" alt="World Map" border="0" />
		</td>
	</tr>
</table>';

// Add the content to the page
$_SCRIPT['page']->setContent($content);
// Output the page
$_SCRIPT['page']->outputPage();
