<?php
/**
 * Start Process Page
 *
 * After the user has selected the quest upon which they wish to embark, this 
 * page will take that data through _POST and set that quest as their current
 * quest in the SESSION.  It will then forward them on to the question page, 
 * where they will start answering the questions for that quest.  They can get
 * to this file from both start.php and quest_complete.php
 * @package The_Theologian_Game
 * @author Andrew D. Goetz
 * @copyright  Andrew D. Goetz
 * @license http://creativecommons.org/licenses/by-sa/2.5/legalcode
 */

/**
 * Every page must load the session so that everything works correctly
 */
include ('includes/session.php');

// Make sure that the requested quest is valid
if (!in_array($_POST['quest'], array('angelology', 'anthropology', 'hamartiology', 'inquisition'))) {
	header("Location: start.php");
	$_SESSION['feedback'] = '<p class="warn">The quest you requested does not exist.  Please try again.</p>';
	exit();
} // end sending them back if something went wrong

// Set the current quest in the session
$_SESSION['quest'] = $_POST['quest'];

header("Location: question.php");
exit();