<?php
/**
 * Top 10 Page
 *
 * This page will show the top ten scores for people who have finished the game.
 * @package The_Theologian_Game
 * @author Andrew D. Goetz
 * @copyright  Andrew D. Goetz
 * @license http://creativecommons.org/licenses/by-sa/2.5/legalcode
 */

/**
 * Every page must load the session so that everything works correctly
 */
include ('includes/session.php');

// Add some content
$content = "<h1>Top Theologians</h1>
<p>The following list of theologians have attained the Order of the Holsteen
	and attained high honors.</p>
<table cellpadding='0' cellspacing='0' id='top_table'>
	<tr>
		<th>Score</th>
		<th>Name</th>
		<th>Date</th>
		<th>Image</th>
	</tr>\r\n";
$sql = "SELECT name,
			   score,
			   avatar,
			   date_entered
		FROM scores
		ORDER BY score DESC
		LIMIT 10";
$select = pg_query($_SCRIPT['database'], $sql);
$count = pg_num_rows($select);
for($iterate = 0; $iterate < $count; $iterate++) {
	$row = pg_fetch_array($select, $iterate, PGSQL_ASSOC);
	$content .= "\t<tr>
		<td>" . $row['score'] . '</td>
		<td>' . $row['name'] . '</td>
		<td>' . date('M d, Y g:i a', strtotime($row['date_entered'])) . '</td>
		<td>' . '<img src="' . $row['avatar'] . '" alt="" border="0" /></td>
	</tr>' . "\r\n";
} // end walk through the top theologians
$content .= "</table>\r\n";

// Add the content to the page
$_SCRIPT['page']->setContent($content);
// Output the page
$_SCRIPT['page']->outputPage();
